Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-all/markets?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-all/markets?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-all/markets?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-all/markets?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-all/markets?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-all/markets?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-all/markets?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market": "binance-btc-usdt-spot",
"min_time": "2017-08-17T04:00:32.285000000Z",
"max_time": "2022-08-22T14:19:01.239000000Z",
"exchange": "binance",
"type": "spot",
"trades": {
"min_time": "2017-08-17T04:00:32.285000000Z",
"max_time": "2022-08-22T14:19:01.239000000Z"
},
"orderbooks": {
"min_time": "2021-08-03T16:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"quotes": {
"min_time": "2021-08-03T16:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"base": "btc",
"quote": "usdt",
"status": "online",
"order_amount_increment": "0.00000001",
"order_amount_size_min": "0.0001",
"order_amount_size_max": "100",
"order_price_increment": "0.01",
"order_price_min": "0.1",
"order_price_max": "100000",
"order_size_min": "0.0001",
"order_taker_fee": "0.002",
"order_maker_fee": "0.002",
"margin_trading_enabled": true
},
{
"market": "bitfinex-btc-usdt-spot",
"min_time": "2019-03-11T10:05:37.974000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z",
"exchange": "bitfinex",
"type": "spot",
"trades": {
"min_time": "2019-03-11T10:05:37.974000000Z",
"max_time": "2022-08-22T14:18:46.665000000Z"
},
"orderbooks": {
"min_time": "2021-08-20T13:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"quotes": {
"min_time": "2021-08-20T13:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"base": "btc",
"quote": "usdt",
"status": "online",
"order_amount_increment": "0.00000001",
"order_amount_size_min": "0.0001",
"order_price_increment": "0.01",
"order_price_order_min": "0.1",
"order_size_min": "0.0001",
"order_taker_fee": "0.002",
"order_maker_fee": "0.002",
"margin_trading_enabled": false
}
]
}Full catalog (deprecated)
Supported markets
deprecated
Returns a list of all supported markets along with time ranges of available data.
GET
/
catalog-all
/
markets
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-all/markets?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-all/markets?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-all/markets?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-all/markets?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-all/markets?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-all/markets?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-all/markets?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market": "binance-btc-usdt-spot",
"min_time": "2017-08-17T04:00:32.285000000Z",
"max_time": "2022-08-22T14:19:01.239000000Z",
"exchange": "binance",
"type": "spot",
"trades": {
"min_time": "2017-08-17T04:00:32.285000000Z",
"max_time": "2022-08-22T14:19:01.239000000Z"
},
"orderbooks": {
"min_time": "2021-08-03T16:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"quotes": {
"min_time": "2021-08-03T16:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"base": "btc",
"quote": "usdt",
"status": "online",
"order_amount_increment": "0.00000001",
"order_amount_size_min": "0.0001",
"order_amount_size_max": "100",
"order_price_increment": "0.01",
"order_price_min": "0.1",
"order_price_max": "100000",
"order_size_min": "0.0001",
"order_taker_fee": "0.002",
"order_maker_fee": "0.002",
"margin_trading_enabled": true
},
{
"market": "bitfinex-btc-usdt-spot",
"min_time": "2019-03-11T10:05:37.974000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z",
"exchange": "bitfinex",
"type": "spot",
"trades": {
"min_time": "2019-03-11T10:05:37.974000000Z",
"max_time": "2022-08-22T14:18:46.665000000Z"
},
"orderbooks": {
"min_time": "2021-08-20T13:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"quotes": {
"min_time": "2021-08-20T13:00:00.000000000Z",
"max_time": "2022-08-22T14:18:50.000000000Z"
},
"base": "btc",
"quote": "usdt",
"status": "online",
"order_amount_increment": "0.00000001",
"order_amount_size_min": "0.0001",
"order_price_increment": "0.01",
"order_price_order_min": "0.1",
"order_size_min": "0.0001",
"order_taker_fee": "0.002",
"order_maker_fee": "0.002",
"margin_trading_enabled": false
}
]
}
